#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <sys/resource.h>


   
/****************************************************************************/
/*                                                                          */
/*                 RANDOM SETS                                              */
/*                                                                          */
/****************************************************************************/

/*----------------------------------------------------------------*/
/* Given N and num, it implements a BIJECTIVE function            */
/* which maps a number num in 0..N*(N-1)*(N-2)-1 into an unsorted     */
/* set (a1 a2 a3), where ai in 1..N and ai =/= aj for every i,j   */
/*----------------------------------------------------------------*/
void num2array3 (int num, int N, int A[3]);

/*--------------------------------------------------------------------------*/
/*  Given an array of 3 integers and a code in 0..7                         */
/*  it negates some of them according to the bit pattern                    */
/*  suggested by code                                                       */
/*--------------------------------------------------------------------------*/
void negate_array3(int code,int A[3]);

/*----------------------------------------------------------------*/
/* Sorts an array od 3 elements                                   */ 
/*----------------------------------------------------------------*/
void sort_array3(int A[3]);
